html
  head
    meta(charset="UTF-8")
    meta(http-equiv="X-UA-Compatible" content="IE=edge")
    meta(name="viewport" content="width=device-width, initial-scale=1.0")
    title 🔥🔥🔥🔥
    link(rel="stylesheet" href="../css/home.css")
    link(rel="stylesheet" href="../css/mediaquery.css")
  body
    .navigationContainer
      ul.navigation
        if !isLoggedIn && !user
          li
            a(href="/login") 로그인
          li
            a(href="/join") 회원가입 
        if isLoggedIn && user
          li
            a(href="/") 로그아웃
    h1 WEIGHT LIFTING CACULATOR
    .unitBox
      label(for="unit-select") 무게 단위
      select(name="units" id="unit-select")
        option(value="lb") LB
        option(value="kg") KG
    if isLoggedIn && user
      div(class=(user.workoutNames.length < 1) ? "workoutSelectBox show" : "workoutSelectBox notShow")
        input(id="workoutInput" type="text" placeholder="ex.데드리프트")
        input(id="workoutSubmitBtn" type="button" value="생성")
      div(class=(user.workoutNames.length < 1) ? "workoutSelectBox notShow"  : "workoutSelectBox show")
        label(for="workoutSelect") 종목
        select(id="workoutSelect")
          option(id="workoutDefaultOption" value="workoutDefaultOption") 운동 생성하기
          if (user.workoutNames && user.workoutNames.length > 0)
            each workout, index in user.workoutNames
              option(id=workout._id selected=index === user.workoutNames.length - 1) #{workout}
    .undoBtnContainer
      input(id="undo" type="button" value="복원")
    table.table
      thead.table__row
        th 회
        th LB
        th 세트
        th 무게
        th 완료
      tr.table__row
        td
          div.count 1
        td
          input.weight(type="number" value="20")
        td
          input.reps(type="number" value="15")
        td
          div.totalPerSet 300
        td
          input.checkbox(type="checkbox")
      tr.table__row
        td
          div.count 2
        td
          input.weight(type="number" value="20")
        td
          input.reps(type="number" value="15")
        td
          div.totalPerSet 300
        td
          input.checkbox(type="checkbox")
      tr.table__row
        td
          div.count 3
        td
          input.weight(type="number" value="20")
        td
          input.reps(type="number" value="15")
        td
          div.totalPerSet 300
        td
          input.checkbox(type="checkbox")
    div.buttons_container
      input(id="add" type="button" value="+ 추가")
      input(id="remove" type="button" value="- 제거")
      input(id="save" type="button" value="저장" data-userId=(user && user.id) data-isLoggedIn=isLoggedIn? 'true' : 'false')
    div.result_container
      h4(id="result")
    div.notShow(id="modal")
      div.notShow(id="modal__container")
        div.notShow(id="modal__header")
          div.icon ✖︎
        div.notShow(id="modal__content")
    script(src="../javascript/home.js" type="module")
    
